//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#ifndef NPC_HLWSTALKER_H
#define NPC_HLWSTALKER_H
#ifdef _WIN32
#pragma once
#endif

#include "npc_stalker.h"


class CHLW_NPC_Stalker : public CNPC_Stalker
{
	DECLARE_CLASS( CHLW_NPC_Stalker, CNPC_Stalker );

public:
	void			Spawn( void );
	void			StartTask( const Task_t *pTask );
	virtual int		SelectSchedule ( void );

	CHLW_NPC_Stalker(void);
	float			GetIdealSpeed() const;

	void			InitUnitIndex();

	DECLARE_DATADESC();
	DEFINE_CUSTOM_AI;

protected:
	//=========================================================
	// Stalker schedules
	//=========================================================
	enum
	{
		SCHED_STALKER_PLACE_BUILDING = BaseClass::NEXT_SCHEDULE,
	};


	//=========================================================
	// Stalker Tasks
	//=========================================================
	enum 
	{
		TASK_STALKER_PLACE_BUILDING = BaseClass::NEXT_TASK,
	};
};

#endif // NPC_HLWSTALKER_H
